#!/bin/bash
set -vx

freq=_6hourly


for exp in  m02s #m02s m02j
do
    for varori in va
    do

	dir=/cfunas/exp/ecearth/$exp/monthly_mean/
	dirori=$dir/${varori}$freq
	cd $dirori
	for f in $(ls ${var}*01.nc)
	do
	    aux=$(ncdump -v level $dirori/$f | tail -2)
	    levaux=${aux/"level = "/""}
	    levaux=${levaux/"}"/""}
	    levaux=${levaux/";"/""}
	    IFS=', ' levlst=($levaux)
	    for ilev in 0 1 #2 #3 4 5 6 #$(seq 0 6) #
	    do
		level=${levlst[$ilev]}
		varnew=${varori}${level}
		dirout=$dir/${varnew}$freq
		mkdir -p $dirout
		fileout=${f/$varori/$varnew}
		ncks -O -d level,$ilev $dirori/$f -o $dirout/$fileout
		ncrename -v $varori,$varnew $dirout/$fileout
		ncks -O -x -v level $dirout/$fileout -o $dirout/${fileout}_tmp
		ncwa -O -a level $dirout/${fileout}_tmp $dirout/$fileout
		rm -f $dirout/${fileout}_tmp
	    done
	done
    done
done